| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_CStatelessParameter Class Reference

`#include <AAX_CParameter.h>`

Inheritance diagram for AAX_CStatelessParameter:
[legend]
Collaboration diagram for AAX_CStatelessParameter:
[legend]

## Description

A stateless parameter implementation.

This can be useful for mapping event triggers to control surface buttons or to GUI switches.

## Public Member Functions
| AAX_CStatelessParameter (AAX_CParamID identifier, const AAX_IString &name, const AAX_IString &inValueString)
| AAX_CStatelessParameter (const AAX_IString &identifier, const AAX_IString &name, const AAX_IString &inValueString)
| AAX_DEFAULT_DTOR_OVERRIDE (AAX_CStatelessParameter)
AAX_IParameterValue * | CloneValue () const AAX_OVERRIDE
| Clone the parameter's value to a new AAX_IParameterValue object.
Identification methods
AAX_CParamID | Identifier () const AAX_OVERRIDE
| Returns the parameter's unique identifier.
void | SetName (const AAX_CString &name) AAX_OVERRIDE
| Sets the parameter's display name.
const AAX_CString & | Name () const AAX_OVERRIDE
| Returns the parameter's display name.
void | AddShortenedName (const AAX_CString &name) AAX_OVERRIDE
| Sets the parameter's shortened display name.
const AAX_CString & | ShortenedName (int32_t iNumCharacters) const AAX_OVERRIDE
| Returns the parameter's shortened display name.
void | ClearShortenedNames () AAX_OVERRIDE
| Clears the internal list of shortened display names.
Automation methods
bool | Automatable () const AAX_OVERRIDE
| Returns true if the parameter is automatable, false if it is not.
void | SetAutomationDelegate (AAX_IAutomationDelegate *iAutomationDelegate) AAX_OVERRIDE
| Sets the automation delegate (if one is required)
void | Touch () AAX_OVERRIDE
| Signals the automation system that a control has been touched.
void | Release () AAX_OVERRIDE
| Signals the automation system that a control has been released.
Taper methods
void | SetNormalizedValue (double) AAX_OVERRIDE
| Sets a parameter value using it's normalized representation.
double | GetNormalizedValue () const AAX_OVERRIDE
| Returns the normalized representation of the parameter's current real value.
void | SetNormalizedDefaultValue (double) AAX_OVERRIDE
| Sets the parameter's default value using its normalized representation.
double | GetNormalizedDefaultValue () const AAX_OVERRIDE
| Returns the normalized representation of the parameter's real default value.
void | SetToDefaultValue () AAX_OVERRIDE
| Restores the state of this parameter to its default value.
void | SetNumberOfSteps (uint32_t) AAX_OVERRIDE
| Sets the number of discrete steps for this parameter.
uint32_t | GetNumberOfSteps () const AAX_OVERRIDE
| Returns the number of discrete steps used by the parameter.
uint32_t | GetStepValue () const AAX_OVERRIDE
| Returns the current step for the current value of the parameter.
double | GetNormalizedValueFromStep (uint32_t) const AAX_OVERRIDE
| Returns the normalized value for a given step.
uint32_t | GetStepValueFromNormalizedValue (double) const AAX_OVERRIDE
| Returns the step value for a normalized value of the parameter.
void | SetStepValue (uint32_t) AAX_OVERRIDE
| Returns the current step for the current value of the parameter.
Display methods
This functionality is most often used by GUIs, but can also be useful for state serialization.
bool | GetValueString (AAX_CString *valueString) const AAX_OVERRIDE
| Serializes the parameter value into a string.
bool | GetValueString (int32_t, AAX_CString *valueString) const AAX_OVERRIDE
| Serializes the parameter value into a string, size hint included.
bool | GetNormalizedValueFromBool (bool, double *normalizedValue) const AAX_OVERRIDE
| Converts a bool to a normalized parameter value.
bool | GetNormalizedValueFromInt32 (int32_t, double *normalizedValue) const AAX_OVERRIDE
| Converts an integer to a normalized parameter value.
bool | GetNormalizedValueFromFloat (float, double *normalizedValue) const AAX_OVERRIDE
| Converts a float to a normalized parameter value.
bool | GetNormalizedValueFromDouble (double, double *normalizedValue) const AAX_OVERRIDE
| Converts a double to a normalized parameter value.
bool | GetNormalizedValueFromString (const AAX_CString &, double *normalizedValue) const AAX_OVERRIDE
| Converts a given string to a normalized parameter value.
bool | GetBoolFromNormalizedValue (double, bool *value) const AAX_OVERRIDE
| Converts a normalized parameter value to a bool representing the corresponding real value.
bool | GetInt32FromNormalizedValue (double, int32_t *) const AAX_OVERRIDE
| Converts a normalized parameter value to an integer representing the corresponding real value.
bool | GetFloatFromNormalizedValue (double, float *) const AAX_OVERRIDE
| Converts a normalized parameter value to a float representing the corresponding real value.
bool | GetDoubleFromNormalizedValue (double, double *) const AAX_OVERRIDE
| Converts a normalized parameter value to a double representing the corresponding real value.
bool | GetStringFromNormalizedValue (double, AAX_CString &valueString) const AAX_OVERRIDE
| Converts a normalized parameter value to a string representing the corresponding real value.
bool | GetStringFromNormalizedValue (double normalizedValue, int32_t, AAX_CString &valueString) const AAX_OVERRIDE
| Converts a normalized parameter value to a string representing the corresponding real, size hint included. value.
bool | SetValueFromString (const AAX_CString &newValueString) AAX_OVERRIDE
| Converts a string to a real parameter value and sets the parameter to this value.
Typed accessors
bool | GetValueAsBool (bool *value) const AAX_OVERRIDE
| Retrieves the parameter's value as a bool.
bool | GetValueAsInt32 (int32_t *) const AAX_OVERRIDE
| Retrieves the parameter's value as an int32_t.
bool | GetValueAsFloat (float *) const AAX_OVERRIDE
| Retrieves the parameter's value as a float.
bool | GetValueAsDouble (double *) const AAX_OVERRIDE
| Retrieves the parameter's value as a double.
bool | GetValueAsString (AAX_IString *) const AAX_OVERRIDE
| Retrieves the parameter's value as a string.
bool | SetValueWithBool (bool) AAX_OVERRIDE
| Sets the parameter's value as a bool.
bool | SetValueWithInt32 (int32_t) AAX_OVERRIDE
| Sets the parameter's value as an int32_t.
bool | SetValueWithFloat (float) AAX_OVERRIDE
| Sets the parameter's value as a float.
bool | SetValueWithDouble (double) AAX_OVERRIDE
| Sets the parameter's value as a double.
bool | SetValueWithString (const AAX_IString &value) AAX_OVERRIDE
| Sets the parameter's value as a string.
void | SetType (AAX_EParameterType) AAX_OVERRIDE
| Sets the type of this parameter.
AAX_EParameterType | GetType () const AAX_OVERRIDE
| Returns the type of this parameter as an AAX_EParameterType.
void | SetOrientation (AAX_EParameterOrientation) AAX_OVERRIDE
| Sets the orientation of this parameter.
AAX_EParameterOrientation | GetOrientation () const AAX_OVERRIDE
| Returns the orientation of this parameter.
void | SetTaperDelegate (AAX_ITaperDelegateBase &, bool) AAX_OVERRIDE
| Sets the parameter's taper delegate.
void | SetDisplayDelegate (AAX_IDisplayDelegateBase &) AAX_OVERRIDE
| Sets the parameter's display delegate.
Public Member Functions inherited from AAX_IParameter
virtual | ~AAX_IParameter ()
| Virtual destructor.
virtual AAX_IParameterValue * | CloneValue () const =0
| Clone the parameter's value to a new AAX_IParameterValue object.

## Host interface methods
AAX_CStringAbbreviations | mNames
AAX_CString | mID
AAX_IAutomationDelegate * | mAutomationDelegate
AAX_CString | mValueString
void | UpdateNormalizedValue (double) AAX_OVERRIDE
| Sets the parameter's state given a normalized value.

## Constructor & Destructor Documentation

## ◆ AAX_CStatelessParameter() [1/2]

AAX_CStatelessParameter::AAX_CStatelessParameter | ( | AAX_CParamID | identifier,
|  | const AAX_IString & | name,
|  | const AAX_IString & | inValueString
| ) |  |
| inline

## ◆ AAX_CStatelessParameter() [2/2]

AAX_CStatelessParameter::AAX_CStatelessParameter | ( | const AAX_IString & | identifier,
|  | const AAX_IString & | name,
|  | const AAX_IString & | inValueString
| ) |  |
| inline

## Member Function Documentation

## ◆ AAX_DEFAULT_DTOR_OVERRIDE()

AAX_CStatelessParameter::AAX_DEFAULT_DTOR_OVERRIDE | ( | AAX_CStatelessParameter |  | ) |

## ◆ CloneValue()

AAX_IParameterValue * AAX_CStatelessParameter::CloneValue | ( |  | ) | const
| inline virtual

Clone the parameter's value to a new AAX_IParameterValue object.

The returned object is independent from the AAX_IParameter. For example, changing the state of the returned object will not result in a change to the original AAX_IParameter.

Implements AAX_IParameter.

## ◆ Identifier()

AAX_CParamID AAX_CStatelessParameter::Identifier | ( |  | ) | const
| inline virtual

Returns the parameter's unique identifier.

This unique ID is used by the Parameter Manager and by outside applications to uniquely identify and target control messages. This value may not be changed after the parameter has been constructed.

Implements AAX_IParameter.

References AAX_CString::CString(), and mID.

Referenced by Release(), SetAutomationDelegate(), SetName(), and Touch().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetName()

void AAX_CStatelessParameter::SetName | ( | const AAX_CString & | name | ) |
| inline virtual

Sets the parameter's display name.

This name is used for display only, it is not used for indexing or identifying the parameter This name may be changed after the parameter has been created, but display name changes may not be recognized by all AAX hosts.

Parameters

  [in] | name | Display name that will be assigned to the parameter

Implements AAX_IParameter.

References Identifier(), mAutomationDelegate, mNames, AAX_IAutomationDelegate::ParameterNameChanged(), and AAX_CStringAbbreviations::SetPrimary().

Here is the call graph for this function:

## ◆ Name()

const AAX_CString & AAX_CStatelessParameter::Name | ( |  | ) | const
| inline virtual

Returns the parameter's display name.

Note
  This method returns a const reference in order to prevent a string copy. Do not cast away the const to change this value.

Implements AAX_IParameter.

References mNames, and AAX_CStringAbbreviations::Primary().

Here is the call graph for this function:

## ◆ AddShortenedName()

void AAX_CStatelessParameter::AddShortenedName | ( | const AAX_CString & | name | ) |
| inline virtual

Sets the parameter's shortened display name.

This name is used for display only, it is not used for indexing or identifying the parameter These names show up when the host asks for shorter length parameter names for display on Control Surfaces or other string length constrained situations.

Parameters

  [in] | name | Shortened display names that will be assigned to the parameter

Implements AAX_IParameter.

References AAX_CStringAbbreviations::Add(), and mNames.

Here is the call graph for this function:

## ◆ ShortenedName()

const AAX_CString & AAX_CStatelessParameter::ShortenedName | ( | int32_t | iNumCharacters | ) | const
| inline virtual

Returns the parameter's shortened display name.

Note
  This method returns a const reference in order to prevent a string copy. Do not cast away the const to change this value.

Implements AAX_IParameter.

References AAX_CStringAbbreviations::Get(), and mNames.

Here is the call graph for this function:

## ◆ ClearShortenedNames()

void AAX_CStatelessParameter::ClearShortenedNames | ( |  | ) |
| inline virtual

Clears the internal list of shortened display names.

Implements AAX_IParameter.

References AAX_CStringAbbreviations::Clear(), and mNames.

Here is the call graph for this function:

## ◆ Automatable()

bool AAX_CStatelessParameter::Automatable | ( |  | ) | const
| inline virtual

Returns true if the parameter is automatable, false if it is not.

Note
  Subclasses that return true in this method must support host-based automation.

Implements AAX_IParameter.

## ◆ SetAutomationDelegate()

void AAX_CStatelessParameter::SetAutomationDelegate | ( | AAX_IAutomationDelegate * | iAutomationDelegate | ) |
| inline virtual

Sets the automation delegate (if one is required)

Parameters

  [in] | iAutomationDelegate | A reference to the parameter manager's automation delegate interface

Implements AAX_IParameter.

References Identifier(), mAutomationDelegate, AAX_IAutomationDelegate::RegisterParameter(), and AAX_IAutomationDelegate::UnregisterParameter().

Here is the call graph for this function:

## ◆ Touch()

void AAX_CStatelessParameter::Touch | ( |  | ) |
| inline virtual

Signals the automation system that a control has been touched.

Call this method in response to GUI events that begin editing, such as a mouse down. After this method has been called you are free to call SetNormalizedValue() as much as you need, e.g. in order to respond to subsequent mouse moved events. Call Release() to free the parameter for updates from other controls.

Implements AAX_IParameter.

References Identifier(), mAutomationDelegate, and AAX_IAutomationDelegate::PostTouchRequest().

Here is the call graph for this function:

## ◆ Release()

void AAX_CStatelessParameter::Release | ( |  | ) |
| inline virtual

Signals the automation system that a control has been released.

Call this method in response to GUI events that complete editing, such as a mouse up. Once this method has been called you should not call SetNormalizedValue() again until after the next call to Touch().

Implements AAX_IParameter.

References Identifier(), mAutomationDelegate, and AAX_IAutomationDelegate::PostReleaseRequest().

Here is the call graph for this function:

## ◆ SetNormalizedValue()

void AAX_CStatelessParameter::SetNormalizedValue | ( | double | newNormalizedValue | ) |
| inline virtual

Sets a parameter value using it's normalized representation.

For more information regarding normalized values, see Parameter Manager

Parameters

  [in] | newNormalizedValue | New value (normalized) to which the parameter will be set

Implements AAX_IParameter.

## ◆ GetNormalizedValue()

double AAX_CStatelessParameter::GetNormalizedValue | ( |  | ) | const
| inline virtual

Returns the normalized representation of the parameter's current real value.

Implements AAX_IParameter.

## ◆ SetNormalizedDefaultValue()

void AAX_CStatelessParameter::SetNormalizedDefaultValue | ( | double | normalizedDefault | ) |
| inline virtual

Sets the parameter's default value using its normalized representation.

Implements AAX_IParameter.

## ◆ GetNormalizedDefaultValue()

double AAX_CStatelessParameter::GetNormalizedDefaultValue | ( |  | ) | const
| inline virtual

Returns the normalized representation of the parameter's real default value.

Implements AAX_IParameter.

## ◆ SetToDefaultValue()

void AAX_CStatelessParameter::SetToDefaultValue | ( |  | ) |
| inline virtual

Restores the state of this parameter to its default value.

Implements AAX_IParameter.

## ◆ SetNumberOfSteps()

void AAX_CStatelessParameter::SetNumberOfSteps | ( | uint32_t | numSteps | ) |
| inline virtual

Sets the number of discrete steps for this parameter.

Stepped parameter values are useful for discrete parameters and for "jumping" events such as mouse wheels, page up/down, etc. The parameter's step size is used to specify the coarseness of those changes.

Note
  numSteps MUST be greater than zero. All other values may be considered an error by the host.

Parameters

  [in] | numSteps | The number of steps that the parameter will use

Implements AAX_IParameter.

## ◆ GetNumberOfSteps()

uint32_t AAX_CStatelessParameter::GetNumberOfSteps | ( |  | ) | const
| inline virtual

Returns the number of discrete steps used by the parameter.

See SetNumberOfSteps() for more information about parameter steps.

Implements AAX_IParameter.

## ◆ GetStepValue()

uint32_t AAX_CStatelessParameter::GetStepValue | ( |  | ) | const
| inline virtual

Returns the current step for the current value of the parameter.

See SetNumberOfSteps() for more information about parameter steps.

Implements AAX_IParameter.

## ◆ GetNormalizedValueFromStep()

double AAX_CStatelessParameter::GetNormalizedValueFromStep | ( | uint32_t | iStep | ) | const
| inline virtual

Returns the normalized value for a given step.

See SetNumberOfSteps() for more information about parameter steps.

Implements AAX_IParameter.

## ◆ GetStepValueFromNormalizedValue()

uint32_t AAX_CStatelessParameter::GetStepValueFromNormalizedValue | ( | double | normalizedValue | ) | const
| inline virtual

Returns the step value for a normalized value of the parameter.

See SetNumberOfSteps() for more information about parameter steps.

Implements AAX_IParameter.

## ◆ SetStepValue()

void AAX_CStatelessParameter::SetStepValue | ( | uint32_t | iStep | ) |
| inline virtual

Returns the current step for the current value of the parameter.

See SetNumberOfSteps() for more information about parameter steps.

Implements AAX_IParameter.

## ◆ GetValueString() [1/2]

bool AAX_CStatelessParameter::GetValueString | ( | AAX_CString * | valueString | ) | const
| inline virtual

Serializes the parameter value into a string.

Parameters

  [out] | valueString | A string representing the parameter's real value

Return values

  true | The string conversion was successful
  false | The string conversion was unsuccessful

Implements AAX_IParameter.

References mValueString.

## ◆ GetValueString() [2/2]

bool AAX_CStatelessParameter::GetValueString | ( | int32_t | iMaxNumChars,
|  | AAX_CString * | valueString
| ) |  | const
| inline virtual

Serializes the parameter value into a string, size hint included.

Parameters

  [in] | iMaxNumChars | A size hint for the size of the string being requested. Useful for control surfaces and other limited area text fields. (make sure that size of desired string also has room for null termination)
  [out] | valueString | A string representing the parameter's real value

Return values

  true | The string conversion was successful
  false | The string conversion was unsuccessful

Implements AAX_IParameter.

References GetValueString().

Referenced by GetValueString().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetNormalizedValueFromBool()

bool AAX_CStatelessParameter::GetNormalizedValueFromBool | ( | bool | value,
|  | double * | normalizedValue
| ) |  | const
| inline virtual

Converts a bool to a normalized parameter value.

Parameters

  [in] | value | A value for the parameter
  [out] | normalizedValue | The normalized parameter value associated with value

Return values

  true | The value conversion was successful
  false | The value conversion was unsuccessful

Implements AAX_IParameter.

## ◆ GetNormalizedValueFromInt32()

bool AAX_CStatelessParameter::GetNormalizedValueFromInt32 | ( | int32_t | value,
|  | double * | normalizedValue
| ) |  | const
| inline virtual

Converts an integer to a normalized parameter value.

Parameters

  [in] | value | A value for the parameter
  [out] | normalizedValue | The normalized parameter value associated with value

Return values

  true | The value conversion was successful
  false | The value conversion was unsuccessful

Implements AAX_IParameter.

## ◆ GetNormalizedValueFromFloat()

bool AAX_CStatelessParameter::GetNormalizedValueFromFloat | ( | float | value,
|  | double * | normalizedValue
| ) |  | const
| inline virtual

Converts a float to a normalized parameter value.

Parameters

  [in] | value | A value for the parameter
  [out] | normalizedValue | The normalized parameter value associated with value

Return values

  true | The value conversion was successful
  false | The value conversion was unsuccessful

Implements AAX_IParameter.

## ◆ GetNormalizedValueFromDouble()

bool AAX_CStatelessParameter::GetNormalizedValueFromDouble | ( | double | value,
|  | double * | normalizedValue
| ) |  | const
| inline virtual

Converts a double to a normalized parameter value.

Parameters

  [in] | value | A value for the parameter
  [out] | normalizedValue | The normalized parameter value associated with value

Return values

  true | The value conversion was successful
  false | The value conversion was unsuccessful

Implements AAX_IParameter.

## ◆ GetNormalizedValueFromString()

bool AAX_CStatelessParameter::GetNormalizedValueFromString | ( | const AAX_CString & | valueString,
|  | double * | normalizedValue
| ) |  | const
| inline virtual

Converts a given string to a normalized parameter value.

Parameters

  [in] | valueString | A string representing a possible real value for the parameter
  [out] | normalizedValue | The normalized parameter value associated with valueString

Return values

  true | The string conversion was successful
  false | The string conversion was unsuccessful

Implements AAX_IParameter.

## ◆ GetBoolFromNormalizedValue()

bool AAX_CStatelessParameter::GetBoolFromNormalizedValue | ( | double | normalizedValue,
|  | bool * | value
| ) |  | const
| inline virtual

Converts a normalized parameter value to a bool representing the corresponding real value.

Parameters

  [in] | normalizedValue | The normalized value to convert
  [out] | value | The converted value. Set only if conversion is successful.

Return values

  true | The conversion to bool was successful
  false | The conversion to bool was unsuccessful

Implements AAX_IParameter.

## ◆ GetInt32FromNormalizedValue()

bool AAX_CStatelessParameter::GetInt32FromNormalizedValue | ( | double | normalizedValue,
|  | int32_t * | value
| ) |  | const
| inline virtual

Converts a normalized parameter value to an integer representing the corresponding real value.

Parameters

  [in] | normalizedValue | The normalized value to convert
  [out] | value | The converted value. Set only if conversion is successful.

Return values

  true | The conversion to int32_t was successful
  false | The conversion to int32_t was unsuccessful

Implements AAX_IParameter.

## ◆ GetFloatFromNormalizedValue()

bool AAX_CStatelessParameter::GetFloatFromNormalizedValue | ( | double | normalizedValue,
|  | float * | value
| ) |  | const
| inline virtual

Converts a normalized parameter value to a float representing the corresponding real value.

Parameters

  [in] | normalizedValue | The normalized value to convert
  [out] | value | The converted value. Set only if conversion is successful.

Return values

  true | The conversion to float was successful
  false | The conversion to float was unsuccessful

Implements AAX_IParameter.

## ◆ GetDoubleFromNormalizedValue()

bool AAX_CStatelessParameter::GetDoubleFromNormalizedValue | ( | double | normalizedValue,
|  | double * | value
| ) |  | const
| inline virtual

Converts a normalized parameter value to a double representing the corresponding real value.

Parameters

  [in] | normalizedValue | The normalized value to convert
  [out] | value | The converted value. Set only if conversion is successful.

Return values

  true | The conversion to double was successful
  false | The conversion to double was unsuccessful

Implements AAX_IParameter.

## ◆ GetStringFromNormalizedValue() [1/2]

bool AAX_CStatelessParameter::GetStringFromNormalizedValue | ( | double | normalizedValue,
|  | AAX_CString & | valueString
| ) |  | const
| inline virtual

Converts a normalized parameter value to a string representing the corresponding real value.

Parameters

  [in] | normalizedValue | A normalized parameter value
  [out] | valueString | A string representing the parameter value associated with normalizedValue

Return values

  true | The string conversion was successful
  false | The string conversion was unsuccessful

Implements AAX_IParameter.

References mValueString.

## ◆ GetStringFromNormalizedValue() [2/2]

bool AAX_CStatelessParameter::GetStringFromNormalizedValue | ( | double | normalizedValue,
|  | int32_t | iMaxNumChars,
|  | AAX_CString & | valueString
| ) |  | const
| inline virtual

Converts a normalized parameter value to a string representing the corresponding real, size hint included. value.

Parameters

  [in] | normalizedValue | A normalized parameter value
  [in] | iMaxNumChars | A size hint for the size of the string being requested. Useful for control surfaces and other limited area text fields. (make sure that size of desired string also has room for null termination)
  [out] | valueString | A string representing the parameter value associated with normalizedValue

Return values

  true | The string conversion was successful
  false | The string conversion was unsuccessful

Implements AAX_IParameter.

References GetStringFromNormalizedValue().

Referenced by GetStringFromNormalizedValue().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SetValueFromString()

bool AAX_CStatelessParameter::SetValueFromString | ( | const AAX_CString & | newValueString | ) |
| inline virtual

Converts a string to a real parameter value and sets the parameter to this value.

Parameters

  [in] | newValueString | A string representing the parameter's new real value

Return values

  true | The string conversion was successful
  false | The string conversion was unsuccessful

Implements AAX_IParameter.

References mValueString.

## ◆ GetValueAsBool()

bool AAX_CStatelessParameter::GetValueAsBool | ( | bool * | value | ) | const
| inline virtual

Retrieves the parameter's value as a bool.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to bool was successful
  false | The conversion to bool was unsuccessful

Implements AAX_IParameter.

## ◆ GetValueAsInt32()

bool AAX_CStatelessParameter::GetValueAsInt32 | ( | int32_t * | value | ) | const
| inline virtual

Retrieves the parameter's value as an int32_t.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to int32_t was successful
  false | The conversion to int32_t was unsuccessful

Implements AAX_IParameter.

## ◆ GetValueAsFloat()

bool AAX_CStatelessParameter::GetValueAsFloat | ( | float * | value | ) | const
| inline virtual

Retrieves the parameter's value as a float.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to float was successful
  false | The conversion to float was unsuccessful

Implements AAX_IParameter.

## ◆ GetValueAsDouble()

bool AAX_CStatelessParameter::GetValueAsDouble | ( | double * | value | ) | const
| inline virtual

Retrieves the parameter's value as a double.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to double was successful
  false | The conversion to double was unsuccessful

Implements AAX_IParameter.

## ◆ GetValueAsString()

bool AAX_CStatelessParameter::GetValueAsString | ( | AAX_IString * | value | ) | const
| inline virtual

Retrieves the parameter's value as a string.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to string was successful
  false | The conversion to string was unsuccessful

Implements AAX_IParameter.

## ◆ SetValueWithBool()

bool AAX_CStatelessParameter::SetValueWithBool | ( | bool | value | ) |
| inline virtual

Sets the parameter's value as a bool.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion from bool was successful
  false | The conversion from bool was unsuccessful

Implements AAX_IParameter.

## ◆ SetValueWithInt32()

bool AAX_CStatelessParameter::SetValueWithInt32 | ( | int32_t | value | ) |
| inline virtual

Sets the parameter's value as an int32_t.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion from int32_t was successful
  false | The conversion from int32_t was unsuccessful

Implements AAX_IParameter.

## ◆ SetValueWithFloat()

bool AAX_CStatelessParameter::SetValueWithFloat | ( | float | value | ) |
| inline virtual

Sets the parameter's value as a float.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion from float was successful
  false | The conversion from float was unsuccessful

Implements AAX_IParameter.

## ◆ SetValueWithDouble()

bool AAX_CStatelessParameter::SetValueWithDouble | ( | double | value | ) |
| inline virtual

Sets the parameter's value as a double.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion from double was successful
  false | The conversion from double was unsuccessful

Implements AAX_IParameter.

## ◆ SetValueWithString()

bool AAX_CStatelessParameter::SetValueWithString | ( | const AAX_IString & | value | ) |
| inline virtual

Sets the parameter's value as a string.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion from string was successful
  false | The conversion from string was unsuccessful

Implements AAX_IParameter.

References mValueString.

## ◆ SetType()

void AAX_CStatelessParameter::SetType | ( | AAX_EParameterType | iControlType | ) |
| inline virtual

Sets the type of this parameter.

See GetType for use cases

Parameters

  [in] | iControlType | The parameter's new type as an AAX_EParameterType

Implements AAX_IParameter.

## ◆ GetType()

AAX_EParameterType AAX_CStatelessParameter::GetType | ( |  | ) | const
| inline virtual

Returns the type of this parameter as an AAX_EParameterType.

Todo:
  Document use cases for control type

Implements AAX_IParameter.

References AAX_eParameterType_Discrete.

## ◆ SetOrientation()

void AAX_CStatelessParameter::SetOrientation | ( | AAX_EParameterOrientation | iOrientation | ) |
| inline virtual

Sets the orientation of this parameter.

Parameters

  [in] | iOrientation | The parameter's new orientation

Implements AAX_IParameter.

## ◆ GetOrientation()

AAX_EParameterOrientation AAX_CStatelessParameter::GetOrientation | ( |  | ) | const
| inline virtual

Returns the orientation of this parameter.

Implements AAX_IParameter.

References AAX_eParameterOrientation_Default.

## ◆ SetTaperDelegate()

void AAX_CStatelessParameter::SetTaperDelegate | ( | AAX_ITaperDelegateBase & | inTaperDelegate,
|  | bool | inPreserveValue
| ) |  |
| inline virtual

Sets the parameter's taper delegate.

Parameters

  [in] | inTaperDelegate | A reference to the parameter's new taper delegate
  [in] | inPreserveValue |

Todo:
  Document this parameter

Implements AAX_IParameter.

## ◆ SetDisplayDelegate()

void AAX_CStatelessParameter::SetDisplayDelegate | ( | AAX_IDisplayDelegateBase & | inDisplayDelegate | ) |
| inline virtual

Sets the parameter's display delegate.

Parameters

  [in] | inDisplayDelegate | A reference to the parameter's new display delegate

Implements AAX_IParameter.

## ◆ UpdateNormalizedValue()

void AAX_CStatelessParameter::UpdateNormalizedValue | ( | double | newNormalizedValue | ) |
| inline virtual

Sets the parameter's state given a normalized value.

This is the second half of the parameter setting operation that is initiated with a call to SetValue(). Parameters should not be set directly using this method; instead, use SetValue().

Parameters

  [in] | newNormalizedValue | Normalized value that will be used to set the parameter's new state

Implements AAX_IParameter.

## Member Data Documentation

## ◆ mNames

AAX_CStringAbbreviations AAX_CStatelessParameter::mNames
| protected

Referenced by AddShortenedName(), ClearShortenedNames(), Name(), SetName(), and ShortenedName().

## ◆ mID

AAX_CString AAX_CStatelessParameter::mID
| protected

Referenced by Identifier().

## ◆ mAutomationDelegate

AAX_IAutomationDelegate* AAX_CStatelessParameter::mAutomationDelegate
| protected

Referenced by Release(), SetAutomationDelegate(), SetName(), and Touch().

## ◆ mValueString

AAX_CString AAX_CStatelessParameter::mValueString
| protected

Referenced by GetStringFromNormalizedValue(), GetValueString(), SetValueFromString(), and SetValueWithString().

The documentation for this class was generated from the following file:

- AAX_CParameter.h